NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::GeometricUtilities::ModlAlongCurveAngle Class Reference

This class NXOpen::GeometricUtilities::ModlAlongCurveAngle represents motion type in ModlMotion
Created in NX8.5.0. More...

Inheritance diagram for NXOpen::GeometricUtilities::ModlAlongCurveAngle:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::GeometricUtilities::OnPathDimensionBuilderAlongCurve ()
 Returns the value of transform. More...
 
NXOpen::ExpressionAlongCurveAngle ()
 Returns the value of angular transform. More...
 
NXOpen::SelectCurveCurve ()
 Returns the curve on which doing the transform. More...
 
bool ReverseCurveDirection ()
 Returns whether the direction of the curve to determine the transform should be reversed or not. More...
 
void SetReverseCurveDirection (bool reverseCurveDirection)
 Sets whether the direction of the curve to determine the transform should be reversed or not. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This class NXOpen::GeometricUtilities::ModlAlongCurveAngle represents motion type in ModlMotion
Created in NX8.5.0.


Member Function Documentation

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::GeometricUtilities::ModlAlongCurveAngle::AlongCurve ( )

Returns the value of transform.


Created in NX8.5.0.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ModlAlongCurveAngle::AlongCurveAngle ( )

Returns the value of angular transform.


Created in NX8.5.0.

License requirements : None

NXOpen::SelectCurve* NXOpen::GeometricUtilities::ModlAlongCurveAngle::Curve ( )

Returns the curve on which doing the transform.


Created in NX8.5.0.

License requirements : None

bool NXOpen::GeometricUtilities::ModlAlongCurveAngle::ReverseCurveDirection ( )

Returns whether the direction of the curve to determine the transform should be reversed or not.


Created in NX9.0.0.

License requirements : None

void NXOpen::GeometricUtilities::ModlAlongCurveAngle::SetReverseCurveDirection ( bool  reverseCurveDirection)

Sets whether the direction of the curve to determine the transform should be reversed or not.


Created in NX9.0.0.

License requirements : None

Parameters
reverseCurveDirectionreversecurvedirection
virtual bool NXOpen::GeometricUtilities::ModlAlongCurveAngle::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.